Version v1.74.0 to v1.75.0


Summary of Changes

37 - New

87 - Updated

887 - Total Endpoints

603 - Total Paths



Added

[ devices ]

appliance

Docs

Update configurations for an appliance's specified port

Operation ID: updateDeviceApplianceInterfacesPort

PATH /devices/{serial}/appliance/interfaces/ports/{number}

- Path added

- New endpoint

PUT /devices/{serial}/appliance/interfaces/ports/{number}



[ organizations ]

api

Docs

List pipelines with operation and status metadata, sorted by pipeline ID

Operation ID: getOrganizationApiRestProvisioningPipelines

PATH /organizations/{organizationId}/api/rest/provisioning/pipelines

- Path added

- New endpoint

GET /organizations/{organizationId}/api/rest/provisioning/pipelines



appliance

Docs

Returns MX port profile assignments

Operation ID: getOrganizationApplianceDevicesInterfacesPortsProfilesAssignments

PATH /organizations/{organizationId}/appliance/devices/interfaces/ports/profiles/assignments

- Path added

- New endpoint

GET /organizations/{organizationId}/appliance/devices/interfaces/ports/profiles/assignments



Docs

List the intrusion policies configured for an organization along with base policies.

Operation ID: getOrganizationApplianceSecurityIntrusionPolicies

PATH /organizations/{organizationId}/appliance/security/intrusion/policies

- Path added

- New endpoint

GET /organizations/{organizationId}/appliance/security/intrusion/policies



Docs

Create a new intrusion policy for the organization.

Operation ID: createOrganizationApplianceSecurityIntrusionPolicy

PATH /organizations/{organizationId}/appliance/security/intrusion/policies

- Path added

- New endpoint

POST /organizations/{organizationId}/appliance/security/intrusion/policies



Docs

List counts for the intrusion and base policies configured for an organization.

Operation ID: getOrganizationApplianceSecurityIntrusionPoliciesOverviews

PATH /organizations/{organizationId}/appliance/security/intrusion/policies/overviews

- Path added

- New endpoint

GET /organizations/{organizationId}/appliance/security/intrusion/policies/overviews



Docs

Delete a single intrusion policy for the organization.

Operation ID: deleteOrganizationApplianceSecurityIntrusionPolicy

PATH /organizations/{organizationId}/appliance/security/intrusion/policies/{policyId}

- Path added

- New endpoint

DELETE /organizations/{organizationId}/appliance/security/intrusion/policies/{policyId}



Docs

Update a single intrusion policy for the organization.

Operation ID: updateOrganizationApplianceSecurityIntrusionPolicy

PATH /organizations/{organizationId}/appliance/security/intrusion/policies/{policyId}

- Path added

- New endpoint

PUT /organizations/{organizationId}/appliance/security/intrusion/policies/{policyId}



Docs

Declare the desired rule group overrides for an intrusion policy.

Operation ID: declareOrganizationApplianceSecurityIntrusionPolicyRuleGroupsOverrides

PATH /organizations/{organizationId}/appliance/security/intrusion/policies/{policyId}/ruleGroups/overrides/declare

- Path added

- New endpoint

POST /organizations/{organizationId}/appliance/security/intrusion/policies/{policyId}/ruleGroups/overrides/declare



Docs

Create a rule group override for an intrusion policy.

Operation ID: createOrganizationApplianceSecurityIntrusionPolicyRuleGroupOverride

PATH /organizations/{organizationId}/appliance/security/intrusion/policies/{policyId}/ruleGroups/{ruleGroupId}/override

- Path added

- New endpoint

POST /organizations/{organizationId}/appliance/security/intrusion/policies/{policyId}/ruleGroups/{ruleGroupId}/override



Docs

Update a rule group override for an intrusion policy.

Operation ID: updateOrganizationApplianceSecurityIntrusionPolicyRuleGroupOverride

PATH /organizations/{organizationId}/appliance/security/intrusion/policies/{policyId}/ruleGroups/{ruleGroupId}/override

- Path added

- New endpoint

PUT /organizations/{organizationId}/appliance/security/intrusion/policies/{policyId}/ruleGroups/{ruleGroupId}/override



Docs

Declare the desired rule overrides for an intrusion policy.

Operation ID: declareOrganizationApplianceSecurityIntrusionPolicyRulesOverrides

PATH /organizations/{organizationId}/appliance/security/intrusion/policies/{policyId}/rules/overrides/declare

- Path added

- New endpoint

POST /organizations/{organizationId}/appliance/security/intrusion/policies/{policyId}/rules/overrides/declare



Docs

Create a rule override for an intrusion policy.

Operation ID: createOrganizationApplianceSecurityIntrusionPolicyRuleOverride

PATH /organizations/{organizationId}/appliance/security/intrusion/policies/{policyId}/rules/{ruleId}/override

- Path added

- New endpoint

POST /organizations/{organizationId}/appliance/security/intrusion/policies/{policyId}/rules/{ruleId}/override



Docs

Update a rule override for an intrusion policy.

Operation ID: updateOrganizationApplianceSecurityIntrusionPolicyRuleOverride

PATH /organizations/{organizationId}/appliance/security/intrusion/policies/{policyId}/rules/{ruleId}/override

- Path added

- New endpoint

PUT /organizations/{organizationId}/appliance/security/intrusion/policies/{policyId}/rules/{ruleId}/override



Docs

List the rule groups that belong to a security policy.

Operation ID: getOrganizationApplianceSecurityIntrusionRuleGroups

PATH /organizations/{organizationId}/appliance/security/intrusion/ruleGroups

- Path added

- New endpoint

GET /organizations/{organizationId}/appliance/security/intrusion/ruleGroups



Docs

List the rule group overrides configured for an intrusion policy.

Operation ID: getOrganizationApplianceSecurityIntrusionRuleGroupsOverrides

PATH /organizations/{organizationId}/appliance/security/intrusion/ruleGroups/overrides

- Path added

- New endpoint

GET /organizations/{organizationId}/appliance/security/intrusion/ruleGroups/overrides



Docs

Delete a rule group override for an intrusion policy.

Operation ID: deleteOrganizationApplianceSecurityIntrusionRuleGroupsOverride

PATH /organizations/{organizationId}/appliance/security/intrusion/ruleGroups/overrides/{overrideId}

- Path added

- New endpoint

DELETE /organizations/{organizationId}/appliance/security/intrusion/ruleGroups/overrides/{overrideId}



Docs

List counts for the child rule groups and rules for each rule group in a security policy.

Operation ID: getOrganizationApplianceSecurityIntrusionRuleGroupsOverviews

PATH /organizations/{organizationId}/appliance/security/intrusion/ruleGroups/overviews

- Path added

- New endpoint

GET /organizations/{organizationId}/appliance/security/intrusion/ruleGroups/overviews



Docs

List the rules that belong to a security policy.

Operation ID: getOrganizationApplianceSecurityIntrusionRules

PATH /organizations/{organizationId}/appliance/security/intrusion/rules

- Path added

- New endpoint

GET /organizations/{organizationId}/appliance/security/intrusion/rules



Docs

List the rule overrides configured for an intrusion policy.

Operation ID: getOrganizationApplianceSecurityIntrusionRulesOverrides

PATH /organizations/{organizationId}/appliance/security/intrusion/rules/overrides

- Path added

- New endpoint

GET /organizations/{organizationId}/appliance/security/intrusion/rules/overrides



Docs

Delete a rule override for an intrusion policy.

Operation ID: deleteOrganizationApplianceSecurityIntrusionRulesOverride

PATH /organizations/{organizationId}/appliance/security/intrusion/rules/overrides/{overrideId}

- Path added

- New endpoint

DELETE /organizations/{organizationId}/appliance/security/intrusion/rules/overrides/{overrideId}



campusGateway

Docs

Return the latest CPU load averages reported by Campus Gateway devices.

Operation ID: getOrganizationCampusGatewayDevicesSystemCpuLoad

PATH /organizations/{organizationId}/campusGateway/devices/system/cpu/load

- Path added

- New endpoint

GET /organizations/{organizationId}/campusGateway/devices/system/cpu/load



policies

Docs

Commit staged Organization-Wide Policy Ruleset Assignments

Operation ID: commitOrganizationPoliciesGlobalGroupPoliciesFirewallRulesetsAssignments

PATH /organizations/{organizationId}/policies/global/group/policies/firewall/rulesets/assignments/commit

- Path added

- New endpoint

POST /organizations/{organizationId}/policies/global/group/policies/firewall/rulesets/assignments/commit



Docs

List all available Network Enforcement Targets for an Organization and their associated Organization-Wide Policies if applicable

Operation ID: getOrganizationPoliciesGlobalGroupPoliciesNetworks

PATH /organizations/{organizationId}/policies/global/group/policies/networks

- Path added

- New endpoint

GET /organizations/{organizationId}/policies/global/group/policies/networks



Docs

List Network Enforcement Target Assignments for Organization-Wide policies for the specified organization

Operation ID: getOrganizationPoliciesGlobalGroupPoliciesNetworksAssignments

PATH /organizations/{organizationId}/policies/global/group/policies/networks/assignments

- Path added

- New endpoint

GET /organizations/{organizationId}/policies/global/group/policies/networks/assignments



Docs

Assign Network Enforcement Targets to an Organization-Wide Policy

Operation ID: bulkOrganizationPoliciesGlobalGroupPoliciesNetworksAssignmentsAssign

PATH /organizations/{organizationId}/policies/global/group/policies/networks/assignments/bulkAssign

- Path added

- New endpoint

POST /organizations/{organizationId}/policies/global/group/policies/networks/assignments/bulkAssign



Docs

Remove Network Enforcement Targets from an Organization-Wide Policy

Operation ID: bulkOrganizationPoliciesGlobalGroupPoliciesNetworksAssignmentsDelete

PATH /organizations/{organizationId}/policies/global/group/policies/networks/assignments/bulkDelete

- Path added

- New endpoint

POST /organizations/{organizationId}/policies/global/group/policies/networks/assignments/bulkDelete



summary

Docs

Lists daily consumer metrics for networks.

Operation ID: getOrganizationSummarySustainabilityDailyConsumerMetricsNetworks

PATH /organizations/{organizationId}/summary/sustainability/dailyConsumerMetrics/networks

- Path added

- New endpoint

GET /organizations/{organizationId}/summary/sustainability/dailyConsumerMetrics/networks



Docs

Lists available device categories for sustainability metrics with their corresponding device types.

Operation ID: getOrganizationSummarySustainabilitySummaryConsumerMetricsDeviceCategories

PATH /organizations/{organizationId}/summary/sustainability/summaryConsumerMetrics/deviceCategories

- Path added

- New endpoint

GET /organizations/{organizationId}/summary/sustainability/summaryConsumerMetrics/deviceCategories



Docs

Lists summary consumer metrics aggregated by device category.

Operation ID: getOrganizationSummarySustainabilitySummaryConsumerMetricsDeviceCategoriesAggregated

PATH /organizations/{organizationId}/summary/sustainability/summaryConsumerMetrics/deviceCategories/aggregated

- Path added

- New endpoint

GET /organizations/{organizationId}/summary/sustainability/summaryConsumerMetrics/deviceCategories/aggregated



Docs

Lists summary consumer metrics for devices.

Operation ID: getOrganizationSummarySustainabilitySummaryConsumerMetricsDevices

PATH /organizations/{organizationId}/summary/sustainability/summaryConsumerMetrics/devices

- Path added

- New endpoint

GET /organizations/{organizationId}/summary/sustainability/summaryConsumerMetrics/devices



Docs

Lists summary consumer metrics for networks.

Operation ID: getOrganizationSummarySustainabilitySummaryConsumerMetricsNetworks

PATH /organizations/{organizationId}/summary/sustainability/summaryConsumerMetrics/networks

- Path added

- New endpoint

GET /organizations/{organizationId}/summary/sustainability/summaryConsumerMetrics/networks



Docs

Returns aggregated consumer metrics for all networks in the organization

Operation ID: getOrganizationSummarySustainabilitySummaryConsumerMetricsNetworksAggregated

PATH /organizations/{organizationId}/summary/sustainability/summaryConsumerMetrics/networks/aggregated

- Path added

- New endpoint

GET /organizations/{organizationId}/summary/sustainability/summaryConsumerMetrics/networks/aggregated



wireless

Docs

Returns an array of objects, each containing OWE transition pairs for the corresponding network

Operation ID: getOrganizationWirelessSsidsOweByNetwork

PATH /organizations/{organizationId}/wireless/ssids/owe/byNetwork

- Path added

- New endpoint

GET /organizations/{organizationId}/wireless/ssids/owe/byNetwork



[ wireless ]

ssids

Docs

Update the OWE transition pairs for a network

Operation ID: updateNetworkWirelessSsidsOwe

PATH /networks/{networkId}/wireless/ssids/owe

- Path added

- New endpoint

PUT /networks/{networkId}/wireless/ssids/owe



Docs

Display the overrides for this SSID

Operation ID: getNetworkWirelessSsidOverrides

PATH /networks/{networkId}/wireless/ssids/{number}/overrides

- Path added

- New endpoint

GET /networks/{networkId}/wireless/ssids/{number}/overrides



Docs

Update the overrides for this SSID

Operation ID: updateNetworkWirelessSsidOverrides

PATH /networks/{networkId}/wireless/ssids/{number}/overrides

- Path added

- New endpoint

PUT /networks/{networkId}/wireless/ssids/{number}/overrides



Changed

[ appliance ]

security

Docs

Returns all supported intrusion settings for an MX network

Operation ID: getNetworkApplianceSecurityIntrusion

GET /networks/{networkId}/appliance/security/intrusion

- added the optional property 'policy' to the response with the '200' status


Docs

Set the supported intrusion settings for an MX network

Operation ID: updateNetworkApplianceSecurityIntrusion

PUT /networks/{networkId}/appliance/security/intrusion

- added the new optional request property 'policy'

- added the optional property 'policy' to the response with the '200' status


staticRoutes

Docs

List the static routes for an MX or teleworker network

Operation ID: getNetworkApplianceStaticRoutes

GET /networks/{networkId}/appliance/staticRoutes

- added the optional property '/items/vrf' to the response with the '200' status


Docs

Add a static route for an MX or teleworker network

Operation ID: createNetworkApplianceStaticRoute

POST /networks/{networkId}/appliance/staticRoutes

- added the new optional request property 'vrf'

- added the optional property 'vrf' to the response with the '201' status


Docs

Return a static route for an MX or teleworker network

Operation ID: getNetworkApplianceStaticRoute

GET /networks/{networkId}/appliance/staticRoutes/{staticRouteId}

- added the optional property 'vrf' to the response with the '200' status


Docs

Update a static route for an MX or teleworker network

Operation ID: updateNetworkApplianceStaticRoute

PUT /networks/{networkId}/appliance/staticRoutes/{staticRouteId}

- added the new optional request property 'vrf'

- added the optional property 'vrf' to the response with the '200' status


trafficShaping

Docs

Display the traffic shaping settings rules for a Security Appliance or Secure Router network

Operation ID: getNetworkApplianceTrafficShapingRules

GET /networks/{networkId}/appliance/trafficShaping/rules

- added the new 'custom' enum value to the 'rules/items/perClientBandwidthLimits/settings' response property for the response status '200'

- added the new 'destination' enum value to the 'rules/items/definitions/items/type' response property for the response status '200'

- added the new 'destination_port' enum value to the 'rules/items/definitions/items/type' response property for the response status '200'

- added the new 'ignore' enum value to the 'rules/items/perClientBandwidthLimits/settings' response property for the response status '200'

- added the new 'network default' enum value to the 'rules/items/perClientBandwidthLimits/settings' response property for the response status '200'

- added the new 'source' enum value to the 'rules/items/definitions/items/type' response property for the response status '200'

- added the new 'source_port' enum value to the 'rules/items/definitions/items/type' response property for the response status '200'


Docs

Update the traffic shaping settings rules for a Security Appliance or Secure Router network

Operation ID: updateNetworkApplianceTrafficShapingRules

PUT /networks/{networkId}/appliance/trafficShaping/rules

- request property 'rules/items/perClientBandwidthLimits/settings' was restricted to a list of enum values

- added the new 'custom' enum value to the 'rules/items/perClientBandwidthLimits/settings' response property for the response status '200'

- added the new 'destination' enum value to the 'rules/items/definitions/items/type' response property for the response status '200'

- added the new 'destination_port' enum value to the 'rules/items/definitions/items/type' response property for the response status '200'

- added the new 'ignore' enum value to the 'rules/items/perClientBandwidthLimits/settings' response property for the response status '200'

- added the new 'network default' enum value to the 'rules/items/perClientBandwidthLimits/settings' response property for the response status '200'

- added the new 'source' enum value to the 'rules/items/definitions/items/type' response property for the response status '200'

- added the new 'source_port' enum value to the 'rules/items/definitions/items/type' response property for the response status '200'

- added the new 'custom' enum value to the request property 'rules/items/perClientBandwidthLimits/settings'

- added the new 'destination' enum value to the request property 'rules/items/definitions/items/type'

- added the new 'destination_port' enum value to the request property 'rules/items/definitions/items/type'

- added the new 'ignore' enum value to the request property 'rules/items/perClientBandwidthLimits/settings'

- added the new 'network default' enum value to the request property 'rules/items/perClientBandwidthLimits/settings'

- added the new 'source' enum value to the request property 'rules/items/definitions/items/type'

- added the new 'source_port' enum value to the request property 'rules/items/definitions/items/type'


vpn

Docs

Return a Hub BGP Configuration

Operation ID: getNetworkApplianceVpnBgp

GET /networks/{networkId}/appliance/vpn/bgp

- added the optional property 'ipv6' to the response with the '200' status

- added the optional property 'localAsNumber' to the response with the '200' status

- added the optional property 'neighbors/items/explicitOutboundRouteAdvertisement' to the response with the '200' status

- added the optional property 'neighbors/items/filter' to the response with the '200' status

- added the optional property 'priorityRoute' to the response with the '200' status

- added the optional property 'tunnelDownTermination' to the response with the '200' status


Docs

Update a Hub BGP Configuration

Operation ID: updateNetworkApplianceVpnBgp

PUT /networks/{networkId}/appliance/vpn/bgp

- added the new optional request property 'ipv6'

- added the new optional request property 'localAsNumber'

- added the new optional request property 'neighbors/items/explicitOutboundRouteAdvertisement'

- added the new optional request property 'neighbors/items/filter'

- added the new optional request property 'priorityRoute'

- added the new optional request property 'tunnelDownTermination'

- added the optional property 'ipv6' to the response with the '200' status

- added the optional property 'localAsNumber' to the response with the '200' status

- added the optional property 'neighbors/items/explicitOutboundRouteAdvertisement' to the response with the '200' status

- added the optional property 'neighbors/items/filter' to the response with the '200' status

- added the optional property 'priorityRoute' to the response with the '200' status

- added the optional property 'tunnelDownTermination' to the response with the '200' status


Docs

Return the site-to-site VPN settings of a network

Operation ID: getNetworkApplianceVpnSiteToSiteVpn

GET /networks/{networkId}/appliance/vpn/siteToSiteVpn

- added the optional property 'hubs/items/vrfs' to the response with the '200' status


Docs

Update the site-to-site VPN settings of a network

Operation ID: updateNetworkApplianceVpnSiteToSiteVpn

PUT /networks/{networkId}/appliance/vpn/siteToSiteVpn

- added the optional property 'hubs/items/vrfs' to the response with the '200' status


[ devices ]

appliance

Docs

Update configurations for an appliance's specified port

Operation ID: createDeviceApplianceInterfacesPortsUpdate

POST /devices/{serial}/appliance/interfaces/ports/update

- added the new optional request property 'profile'

- added the optional property 'profile' to the response with the '200' status


Docs

Operation ID: getDeviceApplianceUplinksSettings

GET /devices/{serial}/appliance/uplinks/settings

- added the optional property 'interfaces/wan1/transition' to the response with the '200' status

- added the optional property 'interfaces/wan2/transition' to the response with the '200' status


Docs

Operation ID: updateDeviceApplianceUplinksSettings

PUT /devices/{serial}/appliance/uplinks/settings

- added the new optional request property 'interfaces/wan1/transition'

- added the new optional request property 'interfaces/wan2/transition'

- added the optional property 'interfaces/wan1/transition' to the response with the '200' status

- added the optional property 'interfaces/wan2/transition' to the response with the '200' status


claim

Docs

Claim a vMX into a network

Operation ID: vmxNetworkDevicesClaim

POST /networks/{networkId}/devices/claim/vmx

- added the optional property 'configurationUpdatedAt' to the response with the '200' status


switch

Docs

List layer 3 interfaces for a switch

Operation ID: getDeviceSwitchRoutingInterfaces

GET /devices/{serial}/switch/routing/interfaces

- added the optional property '/items/bidirectionalForwardingDetection' to the response with the '200' status


Docs

Create a layer 3 interface for a switch

Operation ID: createDeviceSwitchRoutingInterface

POST /devices/{serial}/switch/routing/interfaces

- added the new optional request property 'bidirectionalForwardingDetection'

- added the optional property 'bidirectionalForwardingDetection' to the response with the '201' status


Docs

Return a layer 3 interface for a switch

Operation ID: getDeviceSwitchRoutingInterface

GET /devices/{serial}/switch/routing/interfaces/{interfaceId}

- added the optional property 'bidirectionalForwardingDetection' to the response with the '200' status


Docs

Update a layer 3 interface for a switch

Operation ID: updateDeviceSwitchRoutingInterface

PUT /devices/{serial}/switch/routing/interfaces/{interfaceId}

- added the new optional request property 'bidirectionalForwardingDetection'

- added the optional property 'bidirectionalForwardingDetection' to the response with the '200' status


Docs

Return a layer 3 interface DHCP configuration for a switch

Operation ID: getDeviceSwitchRoutingInterfaceDhcp

GET /devices/{serial}/switch/routing/interfaces/{interfaceId}/dhcp

- added the optional property 'dhcpDefaultRouterIps' to the response with the '200' status

- added the optional property 'dhcpDomainName' to the response with the '200' status


Docs

Update a layer 3 interface DHCP configuration for a switch

Operation ID: updateDeviceSwitchRoutingInterfaceDhcp

PUT /devices/{serial}/switch/routing/interfaces/{interfaceId}/dhcp

- added the new optional request property 'dhcpDefaultRouterIps'

- added the new optional request property 'dhcpDomainName'

- added the optional property 'dhcpDefaultRouterIps' to the response with the '200' status

- added the optional property 'dhcpDomainName' to the response with the '200' status


Docs

List layer 3 static routes for a switch

Operation ID: getDeviceSwitchRoutingStaticRoutes

GET /devices/{serial}/switch/routing/staticRoutes

- the response property '/items/managementNextHop' became nullable for the status '200'


Docs

Create a layer 3 static route for a switch

Operation ID: createDeviceSwitchRoutingStaticRoute

POST /devices/{serial}/switch/routing/staticRoutes

- the response property 'managementNextHop' became nullable for the status '200'


Docs

Return a layer 3 static route for a switch

Operation ID: getDeviceSwitchRoutingStaticRoute

GET /devices/{serial}/switch/routing/staticRoutes/{staticRouteId}

- the response property 'managementNextHop' became nullable for the status '200'


Docs

Update a layer 3 static route for a switch

Operation ID: updateDeviceSwitchRoutingStaticRoute

PUT /devices/{serial}/switch/routing/staticRoutes/{staticRouteId}

- the response property 'managementNextHop' became nullable for the status '201'


[ floorPlans ]

general

Docs

List the floor plans that belong to your network

Operation ID: getNetworkFloorPlans

GET /networks/{networkId}/floorPlans

- added the optional property '/items/devices/items/configurationUpdatedAt' to the response with the '200' status


Docs

Upload a floor plan

Operation ID: createNetworkFloorPlan

POST /networks/{networkId}/floorPlans

- added the optional property 'devices/items/configurationUpdatedAt' to the response with the '201' status


Docs

Destroy a floor plan

Operation ID: deleteNetworkFloorPlan

DELETE /networks/{networkId}/floorPlans/{floorPlanId}

- added the optional property 'devices/items/configurationUpdatedAt' to the response with the '204' status


Docs

Find a floor plan by ID

Operation ID: getNetworkFloorPlan

GET /networks/{networkId}/floorPlans/{floorPlanId}

- added the optional property 'devices/items/configurationUpdatedAt' to the response with the '200' status


Docs

Update a floor plan's geolocation and other meta data

Operation ID: updateNetworkFloorPlan

PUT /networks/{networkId}/floorPlans/{floorPlanId}

- added the optional property 'devices/items/configurationUpdatedAt' to the response with the '200' status


[ organizations ]

admins

Docs

Create a new dashboard administrator

Operation ID: createOrganizationAdmin

POST /organizations/{organizationId}/admins

- added the new optional request property 'networks/items/packetCaptureAllowed'

- added the new optional request property 'networks/items/switchPortTags'


Docs

Update an administrator

Operation ID: updateOrganizationAdmin

PUT /organizations/{organizationId}/admins/{adminId}

- added the new optional request property 'networks/items/packetCaptureAllowed'

- added the new optional request property 'networks/items/switchPortTags'


api

Docs

Retrieves pipeline overviews with aggregated job status counts

Operation ID: getOrganizationApiRestProvisioningPipelinesJobsOverviewsByPipeline

GET /organizations/{organizationId}/api/rest/provisioning/pipelines/jobs/overviews/byPipeline

- added the new 'reboot access points' enum value to the 'items/items/counts/byJobOperation/items/name' response property for the response status '200'


appliance

Docs

Returns port configurations for appliances in a given organization

Operation ID: getOrganizationApplianceDevicesInterfacesPortsByDevice

GET /organizations/{organizationId}/appliance/devices/interfaces/ports/byDevice

- added the optional property 'items/items/ports/items/profile' to the response with the '200' status


Docs

Return the third party VPN peers for an organization

Operation ID: getOrganizationApplianceVpnThirdPartyVPNPeers

GET /organizations/{organizationId}/appliance/vpn/thirdPartyVPNPeers

- added the optional property 'peers/items/ebgpNeighbor/allowTransit' to the response with the '200' status

- added the optional property 'peers/items/ebgpNeighbor/authentication' to the response with the '200' status

- added the optional property 'peers/items/ebgpNeighbor/communityOut' to the response with the '200' status

- added the optional property 'peers/items/ebgpNeighbor/explicitOutboundRouteAdvertisement' to the response with the '200' status

- added the optional property 'peers/items/ebgpNeighbor/filter' to the response with the '200' status

- added the optional property 'peers/items/ebgpNeighbor/filterIn' to the response with the '200' status

- added the optional property 'peers/items/ebgpNeighbor/ttlSecurity' to the response with the '200' status


Docs

Update the third party VPN peers for an organization

Operation ID: updateOrganizationApplianceVpnThirdPartyVPNPeers

PUT /organizations/{organizationId}/appliance/vpn/thirdPartyVPNPeers

- added the optional property 'peers/items/ebgpNeighbor/allowTransit' to the response with the '200' status

- added the optional property 'peers/items/ebgpNeighbor/authentication' to the response with the '200' status

- added the optional property 'peers/items/ebgpNeighbor/communityOut' to the response with the '200' status

- added the optional property 'peers/items/ebgpNeighbor/explicitOutboundRouteAdvertisement' to the response with the '200' status

- added the optional property 'peers/items/ebgpNeighbor/filter' to the response with the '200' status

- added the optional property 'peers/items/ebgpNeighbor/filterIn' to the response with the '200' status

- added the optional property 'peers/items/ebgpNeighbor/ttlSecurity' to the response with the '200' status


brandingPolicies

Docs

List the branding policies of an organization

Operation ID: getOrganizationBrandingPolicies

GET /organizations/{organizationId}/brandingPolicies

- added the optional property '/items/appearance' to the response with the '200' status


Docs

Add a new branding policy to an organization

Operation ID: createOrganizationBrandingPolicy

POST /organizations/{organizationId}/brandingPolicies

- added the new optional request property 'appearance'

- added the optional property 'appearance' to the response with the '201' status


Docs

Return a branding policy

Operation ID: getOrganizationBrandingPolicy

GET /organizations/{organizationId}/brandingPolicies/{brandingPolicyId}

- added the optional property 'appearance' to the response with the '200' status


Docs

Update a branding policy

Operation ID: updateOrganizationBrandingPolicy

PUT /organizations/{organizationId}/brandingPolicies/{brandingPolicyId}

- added the new optional request property 'appearance'

- added the optional property 'appearance' to the response with the '200' status


campusGateway

Docs

List the details of APs tunneling through the Campus Gateway clusters

Operation ID: getOrganizationCampusGatewayConnections

GET /organizations/{organizationId}/campusGateway/connections

- added the new optional 'query' request parameter 'campusGatewayPriorities'


Docs

List the count of connections(APs) with tunneling status up and down through the Campus Gateway clusters

Operation ID: getOrganizationCampusGatewayConnectionsOverview

GET /organizations/{organizationId}/campusGateway/connections/overview

- added the new optional 'query' request parameter 'campusGatewayPriorities'


configTemplates

Docs

List the configuration templates for this organization

Operation ID: getOrganizationConfigTemplates

GET /organizations/{organizationId}/configTemplates

- the response property '/items/timeZone' became nullable for the status '200'

- added the optional property '/items/url' to the response with the '200' status


Docs

Create a new configuration template

Operation ID: createOrganizationConfigTemplate

POST /organizations/{organizationId}/configTemplates

- the response property 'timeZone' became nullable for the status '201'

- added the optional property 'url' to the response with the '201' status


Docs

Return a single configuration template

Operation ID: getOrganizationConfigTemplate

GET /organizations/{organizationId}/configTemplates/{configTemplateId}

- the response property 'timeZone' became nullable for the status '200'

- added the optional property 'url' to the response with the '200' status


Docs

Update a configuration template

Operation ID: updateOrganizationConfigTemplate

PUT /organizations/{organizationId}/configTemplates/{configTemplateId}

- the response property 'timeZone' became nullable for the status '200'

- added the optional property 'url' to the response with the '200' status


Docs

Return all the ports of a switch template

Operation ID: getOrganizationConfigTemplateSwitchProfilePorts

GET /organizations/{organizationId}/configTemplates/{configTemplateId}/switch/profiles/{profileId}/ports

- added the optional property '/items/fastPoe' to the response with the '200' status

- added the optional property '/items/perpetualPoe' to the response with the '200' status


Docs

Return a switch template port

Operation ID: getOrganizationConfigTemplateSwitchProfilePort

GET /organizations/{organizationId}/configTemplates/{configTemplateId}/switch/profiles/{profileId}/ports/{portId}

- added the optional property 'fastPoe' to the response with the '200' status

- added the optional property 'perpetualPoe' to the response with the '200' status


Docs

Update a switch template port

Operation ID: updateOrganizationConfigTemplateSwitchProfilePort

PUT /organizations/{organizationId}/configTemplates/{configTemplateId}/switch/profiles/{profileId}/ports/{portId}

- added the new optional request property 'fastPoe'

- added the new optional request property 'perpetualPoe'

- added the optional property 'fastPoe' to the response with the '200' status

- added the optional property 'perpetualPoe' to the response with the '200' status


devices

Docs

List the devices in an organization that have been assigned to a network.

Operation ID: getOrganizationDevices

GET /organizations/{organizationId}/devices

- added the optional property '/items/configurationUpdatedAt' to the response with the '200' status


Docs

List the most recent status information for power modules in rackmount MX and MS devices that support them

Operation ID: getOrganizationDevicesPowerModulesStatusesByDevice

GET /organizations/{organizationId}/devices/powerModules/statuses/byDevice

- added the optional property '/items/slots/items/poe' to the response with the '200' status


networks

Docs

List the network groups in an organization

Operation ID: getOrganizationNetworksGroups

GET /organizations/{organizationId}/networks/groups

- added the new optional 'query' request parameter 'search'


policies

Docs

List Organization-Wide Policy Firewall Rules

Operation ID: getOrganizationPoliciesGlobalFirewallRulesetsRules

GET /organizations/{organizationId}/policies/global/firewall/rulesets/rules

- added the optional property 'items/items/destinations/criteria/adaptivePolicyGroups' to the response with the '200' status


Docs

Create an Organization-Wide Policy Firewall Rule

Operation ID: createOrganizationPoliciesGlobalFirewallRulesetsRule

POST /organizations/{organizationId}/policies/global/firewall/rulesets/rules

- added the new optional request property 'destinations/criteria/adaptivePolicyGroups'

- added the new optional request property 'destinations/criteria/countries'

- added the new optional request property 'destinations/criteria/fqdns'

- added the new optional request property 'destinations/criteria/siteSpecificVlans'

- added the new optional request property 'sources/criteria/siteSpecificVlans'

- added the new 'adaptivePolicyGroups' enum value to the request property 'destinations/matchCriteria/items/'

- added the optional property 'destinations/criteria/adaptivePolicyGroups' to the response with the '201' status


Docs

Update an Organization-Wide Policy Firewall Rule

Operation ID: updateOrganizationPoliciesGlobalFirewallRulesetsRule

PUT /organizations/{organizationId}/policies/global/firewall/rulesets/rules/{ruleId}

- added the new optional request property 'destinations/criteria/adaptivePolicyGroups'

- added the new optional request property 'destinations/criteria/countries'

- added the new optional request property 'destinations/criteria/fqdns'

- added the new optional request property 'destinations/criteria/siteSpecificVlans'

- added the new optional request property 'sources/criteria/siteSpecificVlans'

- added the new 'adaptivePolicyGroups' enum value to the request property 'destinations/matchCriteria/items/'

- added the optional property 'destinations/criteria/adaptivePolicyGroups' to the response with the '200' status


Docs

Create an Organization-Wide Policy Ruleset Assignment

Operation ID: createOrganizationPoliciesGlobalGroupPoliciesFirewallRulesetsAssignment

POST /organizations/{organizationId}/policies/global/group/policies/firewall/rulesets/assignments

- added the new optional request property 'staged'


saml

Docs

Create a SAML IdP for your organization.

Operation ID: createOrganizationSamlIdp

POST /organizations/{organizationId}/saml/idps

- the response's body type/format changed from 'array'/'' to 'object'/'' for status '201'

- added the optional property 'consumerUrl' to the response with the '201' status

- added the optional property 'idpId' to the response with the '201' status

- added the optional property 'sloLogoutUrl' to the response with the '201' status

- added the optional property 'ssoLoginUrl' to the response with the '201' status

- added the optional property 'visionConsumerUrl' to the response with the '201' status

- added the optional property 'x509certSha1Fingerprint' to the response with the '201' status


Docs

Update a SAML IdP in your organization

Operation ID: updateOrganizationSamlIdp

PUT /organizations/{organizationId}/saml/idps/{idpId}

- the response's body type/format changed from 'array'/'' to 'object'/'' for status '200'

- added the optional property 'consumerUrl' to the response with the '200' status

- added the optional property 'idpId' to the response with the '200' status

- added the optional property 'sloLogoutUrl' to the response with the '200' status

- added the optional property 'ssoLoginUrl' to the response with the '200' status

- added the optional property 'visionConsumerUrl' to the response with the '200' status

- added the optional property 'x509certSha1Fingerprint' to the response with the '200' status


snmp

Docs

Return the SNMP settings for an organization

Operation ID: getOrganizationSnmp

GET /organizations/{organizationId}/snmp

- the response property 'v3AuthMode' became nullable for the status '200'

- the response property 'v3PrivMode' became nullable for the status '200'

- added the new 'SHA256' enum value to the 'v3AuthMode' response property for the response status '200'

- added the new 'SHA384' enum value to the 'v3AuthMode' response property for the response status '200'

- added the new 'SHA512' enum value to the 'v3AuthMode' response property for the response status '200'


Docs

Update the SNMP settings for an organization

Operation ID: updateOrganizationSnmp

PUT /organizations/{organizationId}/snmp

- the response property 'v3AuthMode' became nullable for the status '200'

- the response property 'v3PrivMode' became nullable for the status '200'

- added the new 'SHA256' enum value to the 'v3AuthMode' response property for the response status '200'

- added the new 'SHA384' enum value to the 'v3AuthMode' response property for the response status '200'

- added the new 'SHA512' enum value to the 'v3AuthMode' response property for the response status '200'

- added the new 'SHA256' enum value to the request property 'v3AuthMode'

- added the new 'SHA384' enum value to the request property 'v3AuthMode'

- added the new 'SHA512' enum value to the request property 'v3AuthMode'


wireless

Docs

List the AutoRF settings of an organization by network

Operation ID: getOrganizationWirelessRadioRrmByNetwork

GET /organizations/{organizationId}/wireless/radio/rrm/byNetwork

- added the optional property 'items/items/channel/selection' to the response with the '200' status


Docs

Returns the SSID profiles' overview information for an organization

Operation ID: getOrganizationWirelessSsidsProfilesOverviews

GET /organizations/{organizationId}/wireless/ssids/profiles/overviews

- added the new optional 'query' request parameter 'attachable'

- added the new optional 'query' request parameter 'networkIds'

- added the new optional 'query' request parameter 'ssidNumbers'

- added the new enum value 'attached' to the 'query' request parameter 'sortBy'

- added the required property 'isAttached' to the response with the '200' status


[ switch ]

accessPolicies

Docs

List the access policies for a switch network

Operation ID: getNetworkSwitchAccessPolicies

GET /networks/{networkId}/switch/accessPolicies

- added the optional property '/items/radiusAccountingServers/items/radsec' to the response with the '200' status

- added the optional property '/items/radiusServers/items/radsec' to the response with the '200' status


Docs

Create an access policy for a switch network

Operation ID: createNetworkSwitchAccessPolicy

POST /networks/{networkId}/switch/accessPolicies

- added the new optional request property 'radiusAccountingServers/items/radsec'

- added the new optional request property 'radiusAccountingServers/items/serverId'

- added the new optional request property 'radiusServers/items/radsec'

- added the new optional request property 'radiusServers/items/serverId'

- added the optional property 'radiusAccountingServers/items/radsec' to the response with the '201' status

- added the optional property 'radiusServers/items/radsec' to the response with the '201' status


Docs

Return a specific access policy for a switch network

Operation ID: getNetworkSwitchAccessPolicy

GET /networks/{networkId}/switch/accessPolicies/{accessPolicyNumber}

- added the optional property 'radiusAccountingServers/items/radsec' to the response with the '200' status

- added the optional property 'radiusServers/items/radsec' to the response with the '200' status


Docs

Update an access policy for a switch network

Operation ID: updateNetworkSwitchAccessPolicy

PUT /networks/{networkId}/switch/accessPolicies/{accessPolicyNumber}

- added the new optional request property 'radiusAccountingServers/items/radsec'

- added the new optional request property 'radiusServers/items/radsec'

- added the optional property 'radiusAccountingServers/items/radsec' to the response with the '200' status

- added the optional property 'radiusServers/items/radsec' to the response with the '200' status


stacks

Docs

List layer 3 interfaces for a switch stack

Operation ID: getNetworkSwitchStackRoutingInterfaces

GET /networks/{networkId}/switch/stacks/{switchStackId}/routing/interfaces

- added the optional property '/items/bidirectionalForwardingDetection' to the response with the '200' status


Docs

Create a layer 3 interface for a switch stack

Operation ID: createNetworkSwitchStackRoutingInterface

POST /networks/{networkId}/switch/stacks/{switchStackId}/routing/interfaces

- added the new optional request property 'bidirectionalForwardingDetection'

- added the optional property 'bidirectionalForwardingDetection' to the response with the '201' status


Docs

Return a layer 3 interface from a switch stack

Operation ID: getNetworkSwitchStackRoutingInterface

GET /networks/{networkId}/switch/stacks/{switchStackId}/routing/interfaces/{interfaceId}

- added the optional property 'bidirectionalForwardingDetection' to the response with the '200' status


Docs

Update a layer 3 interface for a switch stack

Operation ID: updateNetworkSwitchStackRoutingInterface

PUT /networks/{networkId}/switch/stacks/{switchStackId}/routing/interfaces/{interfaceId}

- added the new optional request property 'bidirectionalForwardingDetection'

- added the optional property 'bidirectionalForwardingDetection' to the response with the '200' status


Docs

Return a layer 3 interface DHCP configuration for a switch stack

Operation ID: getNetworkSwitchStackRoutingInterfaceDhcp

GET /networks/{networkId}/switch/stacks/{switchStackId}/routing/interfaces/{interfaceId}/dhcp

- added the optional property 'dhcpDefaultRouterIps' to the response with the '200' status

- added the optional property 'dhcpDomainName' to the response with the '200' status


Docs

Update a layer 3 interface DHCP configuration for a switch stack

Operation ID: updateNetworkSwitchStackRoutingInterfaceDhcp

PUT /networks/{networkId}/switch/stacks/{switchStackId}/routing/interfaces/{interfaceId}/dhcp

- added the new optional request property 'dhcpDefaultRouterIps'

- added the new optional request property 'dhcpDomainName'

- added the optional property 'dhcpDefaultRouterIps' to the response with the '200' status

- added the optional property 'dhcpDomainName' to the response with the '200' status


Docs

List layer 3 static routes for a switch stack

Operation ID: getNetworkSwitchStackRoutingStaticRoutes

GET /networks/{networkId}/switch/stacks/{switchStackId}/routing/staticRoutes

- the response property '/items/managementNextHop' became nullable for the status '200'


Docs

Create a layer 3 static route for a switch stack

Operation ID: createNetworkSwitchStackRoutingStaticRoute

POST /networks/{networkId}/switch/stacks/{switchStackId}/routing/staticRoutes

- the response property 'managementNextHop' became nullable for the status '201'


Docs

Return a layer 3 static route for a switch stack

Operation ID: getNetworkSwitchStackRoutingStaticRoute

GET /networks/{networkId}/switch/stacks/{switchStackId}/routing/staticRoutes/{staticRouteId}

- the response property 'managementNextHop' became nullable for the status '200'


Docs

Update a layer 3 static route for a switch stack

Operation ID: updateNetworkSwitchStackRoutingStaticRoute

PUT /networks/{networkId}/switch/stacks/{switchStackId}/routing/staticRoutes/{staticRouteId}

- the response property 'managementNextHop' became nullable for the status '200'


[ vlanProfiles ]

general

Docs

List VLAN profiles for a network

Operation ID: getNetworkVlanProfiles

GET /networks/{networkId}/vlanProfiles

- added the optional property '/items/activeVlans' to the response with the '200' status


Docs

Create a VLAN profile for a network

Operation ID: createNetworkVlanProfile

POST /networks/{networkId}/vlanProfiles

- added the new optional request property 'activeVlans'

- added the optional property 'activeVlans' to the response with the '200' status


Docs

Get an existing VLAN profile of a network

Operation ID: getNetworkVlanProfile

GET /networks/{networkId}/vlanProfiles/{iname}

- added the optional property 'activeVlans' to the response with the '200' status


Docs

Update an existing VLAN profile of a network

Operation ID: updateNetworkVlanProfile

PUT /networks/{networkId}/vlanProfiles/{iname}

- added the new optional request property 'activeVlans'

- added the optional property 'activeVlans' to the response with the '200' status


[ wireless ]

electronicShelfLabel

Docs

Return the ESL settings of a wireless network

Operation ID: getNetworkWirelessElectronicShelfLabel

GET /networks/{networkId}/wireless/electronicShelfLabel

- removed the optional property 'sepioo' from the response with the '200' status


Docs

Update the ESL settings of a wireless network

Operation ID: updateNetworkWirelessElectronicShelfLabel

PUT /networks/{networkId}/wireless/electronicShelfLabel

- removed the optional property 'sepioo' from the response with the '200' status


Docs

Get a list of all ESL eligible devices of a network

Operation ID: getNetworkWirelessElectronicShelfLabelConfiguredDevices

GET /networks/{networkId}/wireless/electronicShelfLabel/configuredDevices

- removed the optional property '/items/sepioo' from the response with the '200' status


ethernet

Docs

Create an AP port profile

Operation ID: createNetworkWirelessEthernetPortsProfile

POST /networks/{networkId}/wireless/ethernet/ports/profiles

- the request property 'usbPorts/items/enabled' became required


Docs

Update the AP port profile by ID for this network

Operation ID: updateNetworkWirelessEthernetPortsProfile

PUT /networks/{networkId}/wireless/ethernet/ports/profiles/{profileId}

- the request property 'usbPorts/items/enabled' became required


radio

Docs

Update the AutoRF settings for a wireless network

Operation ID: updateNetworkWirelessRadioRrm

PUT /networks/{networkId}/wireless/radio/rrm

- added the new optional request property 'channel/selection'

- added the optional property 'channel/selection' to the response with the '200' status